Skip to main content
GET
Get citation statistics by URL
See the Analyzing with statistics guide for real examples (including the actual quoted sentences) and interpretation.

Authorizations

API-Key
string
header
required

"Enter your organization API key. Example: 'cs_live_xxxx'"

Query Parameters

runIDs
string[]

Prompt run filter (IDs issued when the run request was made, repeatable, up to 5; multiple values are combined as a union). At least one of runIDs or promptIDs is required

promptIDs
string[]

Prompt filter (the id from the prompt list or create response, repeatable, up to 10; multiple values are combined as a union). At least one of runIDs or promptIDs is required

model
enum<string>

Model filter. Only models retrievable from GET /models are allowed

Available options:
CHATGPT,
GOOGLE_OVERVIEW,
GOOGLE_AI,
PERPLEXITY,
GEMINI,
NAVER_AI_BRIEFING,
NAVER_AI_TAB,
CLAUDE,
META_MUSE,
BAIDU_AI_SEARCH,
GROK,
BAIDU_AI_TAB,
DEEPSEEK
domains
string[]

Domain filter (repeatable, up to 50, each 253 characters or less). Matching follows groupBy

groupBy
enum<string>

Matching axis for the domains filter and notation of each item's domain field (default domain=eTLD+1, subdomain=host including subdomains)

Available options:
domain,
subdomain
include
string[]

Additional fields to include. models=per-URL model breakdown, quotes=text fragments cited by the AI (up to 20 per URL, deduplicated), urlVariants=list of original URLs merged into this URL

limit
integer

Number of top URLs to return (default 50, maximum 200)

Response

OK

totalCitations
integer

Total citation count within the scope

Example:

1571

urls
object[]

URL ranking in descending order of citation count (top limit entries)